POST /experimental/project/{projectID}/copy
POST
/experimental/project/{projectID}/copyPath parameters
projectIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsonstrategystringrequireddirectorystringrequirednamestringResponses
200ProjectCopy.Copy
directorystringrequired400ProjectCopyError | InvalidRequestError
Any of:
ProjectCopyError
namestringrequiredAllowed:
ProjectCopyErrordataobjectrequiredShow propertiesHide properties
messagestringrequiredforceRequiredboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X POST "/experimental/project/string/copy" \
-H "Content-Type: application/json" \
-d '{
"strategy": "string",
"directory": "string",
"name": "string"
}'const response = await fetch("/experimental/project/string/copy", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"strategy": "string",
"directory": "string",
"name": "string"
})
});import requests
response = requests.post(
"/experimental/project/string/copy",
headers={
"Content-Type": "application/json"
},
json={
"strategy": "string",
"directory": "string",
"name": "string"
},
)Response
{
"directory": "string"
}{
"name": "ProjectCopyError",
"data": {
"message": "string",
"forceRequired": true
}
}{
"_tag": "UnauthorizedError",
"message": "string"
}